| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
General Utility Interfaces

General Utility Interfaces Definitions and Methods. More...

## Classes
struct | unsp__OpModeInfo
| Operation Mode Information. More...
struct | unsp__GetOpModeRequest
| Get Operation Mode request. More...
struct | unsp__GetOpModeResult
| Get Operation Mode result. More...
struct | unsp__ModifyOpModeRequest
| Modify Operation Mode request. More...
struct | unsp__ModifyOpModeResult
| Modify Operation Mode result. More...
struct | unsp__GetDBRoleRequest
| Get Database Role request. More...
struct | unsp__GetDBRoleResult
| Get Database Role result. More...
struct | unsp__EZIPData
| EZIP Data. More...
struct | unsp__EZIPDataList
| EZIP Data List. More...
struct | unsp__AccessEZIPParmRequest
| Access EZIP Parameter request. More...
struct | unsp__AccessEZIPParmResult
| Access EZIP Parameter result. More...
struct | unsp__VersionData
| Version Data. More...
struct | unsp__GetVersionResult
| Get Version result. More...
struct | unsp__GetVersionRequest
| Get Version request. More...
struct | unsp__GetServiceFeatureListEntry
| Feature data entry. More...
struct | unsp__GetServiceFeatureListData
| List of Feature data. More...
struct | unsp__GetServiceFeatureListResult
| Get Feature List result. More...
struct | unsp__GetFeatureListRequest
| Get Feature List request. More...
struct | unsp__GetSupportedLanguageListEntry
| Get Supported Language List Entry. More...
struct | unsp__GetSupportedLanguageListData
| Get Supported Language List Data. More...
struct | unsp__GetSupportedLanguageListResult
| Get Supported Language List result. More...
struct | unsp__DynamicLicenseInfo
| Dynamic License Information. More...
struct | unsp__OSMOLicenseInfo
| Mobile License Information. More...
struct | unsp__EncryptionLicenseInfo
| Encryption License Information. More...
struct | unsp__EssentialLicenseInfo
| Essential License Information. More...
struct | unsp__BasicLicenseInfo
| Basic License Information. More...
struct | unsp__ESRPLicenseInfo
| ESRP License Information. More...
struct | unsp__SLESLicenseInfo
| SLES License Information. More...
struct | unsp__PSAPLicenseInfo
| PSAP License Information. More...
struct | unsp__UnifyPhoneLicenseInfo
| Unify Phone License Information. More...
struct | unsp__DynamicONSLicenseInfo
| Dynamic ONS License Information. More...
struct | unsp__ContractEndLicenseInfo
| Contract End License Information. More...
struct | unsp__LicensingInfo
| Licensing Information. More...
struct | unsp__GetLicensingInfoRequest
| Get Licensing Information request. More...
struct | unsp__GetLicensingInfoResult
| Get Licensing Information result. More...
struct | unsp__GetLicenseUsageDataRequest
| Get License Usage Data request. More...
struct | unsp__LicenseUsageVoiceData
| License Usage Voice Data. More...
struct | unsp__GetLicenseUsageDataResult
| Get License Usage Data result. More...
struct | unsp__IsUpgradeAllowedRequest
| Upgrade allowance due to Licensing Information. More...
struct | unsp__IsUpgradeAllowedResult
| Is Upgrade Allowed result. More...
struct | unsp__DemoEnableFeatureSetRequest
| Enable Feature Set for demo request. More...
struct | unsp__DemoEnableFeatureSetResult
| Enable Feature Set for demo result. More...
struct | unsp__DemoDisableFeatureSetRequest
| Disable Feature Set for demo request. More...
struct | unsp__DemoDisableFeatureSetResult
| Disable Feature Set for demo result. More...
struct | unsp__GetStatusOfBuyFeaturesRequest
| Get Status of Buy Features request. More...
struct | unsp__BuyFeature
| Buy Feature data. More...
struct | unsp__BuyFeaturesList
| List of Buy Features. More...
struct | unsp__GetStatusOfBuyFeaturesResult
| Get Status Of Buy Features result. More...
struct | unsp__DemoGetStatusRequest
| Get status of demo request. More...
struct | unsp__DemoGetStatusResult
| Get status of demo result. More...
struct | unsp__CollectLogFilesRequest
| Collect Log files request. More...
struct | unsp__CollectLogFilesResult
| Collect Log files result. More...
struct | unsp__GetLogFilesRequest
| Get Log Files request. More...
struct | unsp__GetLogFilesResult
| Get Log Files result. More...
struct | unsp__GetOSMODataRequest
| Get OSMO Data request. More...
struct | unsp__GetOSMODataResult
| Get OSMO Data result. More...
struct | unsp__ContactMeMessageHeader
| Contact Me Message Header. More...
struct | unsp__ContactMeRequest
| Contact Me request. More...
struct | unsp__ContactMeResult
| Contact Me result. More...
struct | unsp__OvlMgrSysInfo
| Overload Manager System Information. More...
struct | unsp__GetSystemInfoRequest
| Get System Information request. More...
struct | unsp__GetSystemInfoResult
| Get System Information result. More...

## Enumerations
enum | unsp__OpModeStatus { OpModeNormal = 2, OpModeNormalC, OpModeStandAlonePrimary, OpModeStandAloneSync, OpModeStandAlone, OpModeStandAloneSecondary, OpModeShuttingDown, OpModeUnknown = 16 }
| Operation Mode Status. More...
enum | unsp__SoftSwitchEnvironment { Enterprise }
| Openscape Voice environment. More...
enum | unsp__ServiceFeatureType { BusinessGroup_, Endpoint_, BusinessGroupLine_, SvcFeatureProfileCentrex, MlhgPilot_, SIP_, MlhgTerm_ }
| Specifies the categories of Features. More...
enum | unsp__SwitchLanguageMode { Single, Multiple }
| The switch wide setting indicating whether a single language is being used or multiple. More...
enum | unsp__LicensingType { AllLicense = -1, EndUserLicense, TrunkingSessionLicense, DynamicLicense, ClientAccessLicense, OSMOLicense, SLESLicense, EncryptionLicense, EssentialLicense, BasicLicense, ESRPLicense, PSAPLicense, UnifyPhoneLicense, DynamicONSLicense, ContractEndLicense }
| Licensing Type. More...
enum | unsp__LicenseUsageData { VoiceAllData = -1, VoiceData, VoiceUCData, VoiceOSMOData, VoiceEncryptionData, VoiceEssentialData, VoiceBasicData, VoiceUnifyPhoneData, VoiceDynamicONSData }
| Licensing Usage Type. More...
enum | unsp__DemoFeatureSet { DemoFeatureSetV9, DemoFeatureSetV10, DemoFeatureSetV11 }
| Demo Feature Set. More...
enum | unsp__LogCategory { SUB_PROVISIONING_ERR = 0, PROVISIONING_ERR }
| Specifies error categories for log files. More...
enum | unsp__EventType { UcContactMeEvent = 0, DlsContactMeEvent }
| Contact Me Event Type. More...

## Functions
int | unsp__GetOpMode (struct unsp__GetOpModeRequest GetOpModeRequest, struct unsp__GetOpModeResult *GetOpModeResult)
| This method returns the own node and partner node Operation Mode state of a cluster system. More...
int | unsp__ModifyOpMode (struct unsp__ModifyOpModeRequest ModifyOpModeRequest, struct unsp__ModifyOpModeResult *ModifyOpModeResult)
| This method allows the manual modification of the the operation mode of a node in a cluster system if the two nodes cannot communicate with one another over the cross-channel. More...
int | unsp__GetDBRole (struct unsp__GetDBRoleRequest GetDBRoleRequest, struct unsp__GetDBRoleResult *GetDBRoleResult)
| This method retrieves the Database role of the queried Openscape Voice Node. More...
int | unsp__AccessEZIPParm (struct unsp__AccessEZIPParmRequest AccessEZIPParmRequest, struct unsp__AccessEZIPParmResult *AccessEZIPParmResult)
| This method is used to Set, Modify, Delete or Get Easy IP (EZ-IP) parameters. More...
int | unsp__GetVersion2 (struct unsp__GetVersionRequest GetVersionRequest, struct unsp__GetVersionResult *GetVersionResult)
| Returns build and release information such that the user of this interface may know what interface methods are available on the system. More...
int | unsp__GetFeatureList2 (struct unsp__GetFeatureListRequest GetFeatureListRequest, struct unsp__GetServiceFeatureListResult *FeatureListResult)
| Obtains the list of features enabled on the system for a specified category. More...
int | unsp__GetSupportedLanguageList (struct unsp__GetSupportedLanguageListResult *LanguageListResult)
| This method is used to retrieve and display language information, including the list of languages supported on the system. More...
int | unsp__GetLicensingInfo (struct unsp__GetLicensingInfoRequest GetLicensingInfoRequest, struct unsp__GetLicensingInfoResult *GetLicensingInfoResult)
| This method displays licensing information. More...
int | unsp__GetLicenseUsageData (struct unsp__GetLicenseUsageDataRequest GetLicenseUsageDataRequest, struct unsp__GetLicenseUsageDataResult *GetLicenseUsageDataResult)
| This method retrieves the Usage Data of Voice and Mobile Licensing. More...
int | unsp__IsUpgradeAllowed (struct unsp__IsUpgradeAllowedRequest IsUpgradeAllowedRequest, struct unsp__IsUpgradeAllowedResult *IsUpgradeAllowedResult)
| This method displays if Upgrade is allowed based on active Licenses. More...
int | unsp__DemoEnableFeatureSet (struct unsp__DemoEnableFeatureSetRequest DemoEnableFeatureSetRequest, struct unsp__DemoEnableFeatureSetResult *DemoEnableFeatureSetResult)
| This method enables the BUY features of a feature set for demo. More...
int | unsp__DemoDisableFeatureSet (struct unsp__DemoDisableFeatureSetRequest DemoDisableFeatureSetRequest, struct unsp__DemoDisableFeatureSetResult *DemoDisableFeatureSetResult)
| This method disables the BUY features of a feature set for demo. More...
int | unsp__GetStatusOfBuyFeatures (struct unsp__GetStatusOfBuyFeaturesRequest GetStatusOfBuyFeaturesRequest, struct unsp__GetStatusOfBuyFeaturesResult *GetStatusOfBuyFeaturesResult)
| This method retrieves the status of BUY features. More...
int | unsp__DemoGetStatus (struct unsp__DemoGetStatusRequest DemoGetStatusRequest, struct unsp__DemoGetStatusResult *DemoGetStatusResult)
| This method retrieves the status of demo period. More...
int | unsp__CollectLogFiles (struct unsp__CollectLogFilesRequest CollectLogFilesRequest, struct unsp__CollectLogFilesResult *CollectLogFilesResult)
| This method supports the execution of log file exportation in an asynchronous way. More...
int | unsp__GetLogFiles (struct unsp__GetLogFilesRequest GetLogFilesRequest, struct unsp__GetLogFilesResult *GetLogFilesResult)
| This method returns the requested Log File attached the SOAP response. More...
int | unsp__GetOSMOData (struct unsp__GetOSMODataRequest GetOSMODataRequest, struct unsp__GetOSMODataResult *GetOSMODataResult)
| This method retrieves Openscape Mobile (OSMO) data for the specified ONS Subscriber. More...
int | unsp__ContactMe (struct unsp__ContactMeRequest ContactMeRequest, struct unsp__ContactMeResult *ContactMeResult)
| The ContactMe mechanism allows the applications like UC Server and DLS to notify the subscriber endpoints (OSMO Mobile, OSMO Tablet, NG Phone) with server updates and (optionally) ask for these applications to contact the server on receiving the event. More...
int | unsp__GetSystemInfo (struct unsp__GetSystemInfoRequest GetSystemInfoRequest, struct unsp__GetSystemInfoResult *GetSystemInfoResult)
| This method is used in order to retrieve basic information of the system such as CPU, memory usage and if the system is virtualized or not. More...

## Detailed Description

General Utility Interfaces Definitions and Methods.

This is a collection of Application Programming Interfaces (APIs) about objects that are not necessarily provisioned by SOAP. Some of this information, however, may be needed while provisioning other objects.

## Enumeration Type Documentation

## ◆ unsp__DemoFeatureSet

enum unsp__DemoFeatureSet

Demo Feature Set.

Enumerator
DemoFeatureSetV9 | V9 Feature Set.
DemoFeatureSetV10 | V10 Feature Set.
DemoFeatureSetV11 | V11 Feature Set.

## ◆ unsp__EventType

enum unsp__EventType

Contact Me Event Type.

Enumerator
UcContactMeEvent | UC Contact Me Event.
DlsContactMeEvent | DLS Contact Me Event.

## ◆ unsp__LicenseUsageData

enum unsp__LicenseUsageData

Licensing Usage Type.

Enumerator
VoiceAllData | All License Types.
VoiceData | Voice.
VoiceUCData | Deprecated: NA
VoiceOSMOData | Mobile.
VoiceEncryptionData | Encryption.
VoiceEssentialData | Deprecated: NA
VoiceBasicData | Deprecated: NA
VoiceUnifyPhoneData | Unify Phone.
VoiceDynamicONSData | Dynamic ONS.

## ◆ unsp__LicensingType

enum unsp__LicensingType

Licensing Type.

Enumerator
AllLicense | All License Types.
EndUserLicense | Deprecated: NA
TrunkingSessionLicense | Deprecated: NA
DynamicLicense | Dynamic License.
ClientAccessLicense | Deprecated: NA
OSMOLicense | Mobile License.
SLESLicense | SLES License.
EncryptionLicense | Encryption License.
EssentialLicense | Deprecated: NA
BasicLicense | Deprecated: NA
ESRPLicense | ESRP License.
PSAPLicense | PSAP License.
UnifyPhoneLicense | Unify Phone License.
DynamicONSLicense | Dynamic ONS License.
ContractEndLicense | Contract End License.

## ◆ unsp__LogCategory

enum unsp__LogCategory

Specifies error categories for log files.

Enumerator
SUB_PROVISIONING_ERR | Subscriber Provisioning Error.
PROVISIONING_ERR | Provisioning Error.

## ◆ unsp__OpModeStatus

enum unsp__OpModeStatus

Operation Mode Status.

Enumerator
OpModeNormal | Normal.
OpModeNormalC | Normal C, ReadOnly
OpModeStandAlonePrimary | Stand Alone Primary.
OpModeStandAloneSync | Stand Alone Sync.
OpModeStandAlone | Stand Alone.
OpModeStandAloneSecondary | Stand Alone Seconday.
OpModeShuttingDown | Shutting Down.
OpModeUnknown | Unknown.

## ◆ unsp__ServiceFeatureType

enum unsp__ServiceFeatureType

Specifies the categories of Features.

Enumerator
BusinessGroup_ | Business Group.
Endpoint_ | Endpoint Profile.
BusinessGroupLine_ | Business Group Line (Subscriber)
SvcFeatureProfileCentrex | Feature Profile.
MlhgPilot_ | ML Hunt Group Pilot.
SIP_ | SIP Subscriber.
MlhgTerm_ | ML Hunt Group Terminal.

## ◆ unsp__SoftSwitchEnvironment

enum unsp__SoftSwitchEnvironment

Openscape Voice environment.

Enumerator
Enterprise | Enterprise.

## ◆ unsp__SwitchLanguageMode

enum unsp__SwitchLanguageMode

The switch wide setting indicating whether a single language is being used or multiple.

Enumerator
Single | Only the default language configured for the switch will be used for all media events.
Multiple | Multiple Languages can be configured for Subscribers, Endpoints profiles etc.

## Function Documentation

## ◆ unsp__AccessEZIPParm()

unsp__AccessEZIPParm | ( | struct unsp__AccessEZIPParmRequest | AccessEZIPParmRequest,
|  | struct unsp__AccessEZIPParmResult * | AccessEZIPParmResult
| ) |  |

This method is used to Set, Modify, Delete or Get Easy IP (EZ-IP) parameters.

Easy IP (EZ-IP) is a component responsible for changing configuration of the cluster node(s). It is used to update current configuration or restore previous system configurations(s) and is delivered in windows through NCPE package. It is also invoked by the image installation software to update configuration of the reference system during the image installation procedure and delivered in the Linux through UNSPifw package. There is no specific definition for each parameter, only a string that acts as the container of a parameter and its defined value. Note: All actions that include keyword Set, Mod or Del, initiate a job. Any action with Get keyword returns the list of parameters in the result, without running in the background.

Parameters

  AccessEZIPParmRequest | API request
  AccessEZIPParmResult | API result

## ◆ unsp__CollectLogFiles()

unsp__CollectLogFiles | ( | struct unsp__CollectLogFilesRequest | CollectLogFilesRequest,
|  | struct unsp__CollectLogFilesResult * | CollectLogFilesResult
| ) |  |

This method supports the execution of log file exportation in an asynchronous way.

The method parses all HiQLogProvisioning.log.* log files located under /log directory and generates a log file to be retrieved once the job spawned asynchronously is complete.

Parameters

  CollectLogFilesRequest | API request
  CollectLogFilesResult | API result

## ◆ unsp__ContactMe()

unsp__ContactMe | ( | struct unsp__ContactMeRequest | ContactMeRequest,
|  | struct unsp__ContactMeResult * | ContactMeResult
| ) |  |

The ContactMe mechanism allows the applications like UC Server and DLS to notify the subscriber endpoints (OSMO Mobile, OSMO Tablet, NG Phone) with server updates and (optionally) ask for these applications to contact the server on receiving the event.

The notification mechanism shall be generic and few applications for this mechanism are:

- Presence Notifications
- New IMs
- DLS Server Updates (new configuration data, software upgrades etc)
- New Voicemails
- Web Collaboration Events

Parameters

  ContactMeRequest | API request
  ContactMeResult | API result

## ◆ unsp__DemoDisableFeatureSet()

unsp__DemoDisableFeatureSet | ( | struct unsp__DemoDisableFeatureSetRequest | DemoDisableFeatureSetRequest,
|  | struct unsp__DemoDisableFeatureSetResult * | DemoDisableFeatureSetResult
| ) |  |

This method disables the BUY features of a feature set for demo.

Parameters

  DemoDisableFeatureSetRequest | API request
  DemoDisableFeatureSetResult | API result

## ◆ unsp__DemoEnableFeatureSet()

unsp__DemoEnableFeatureSet | ( | struct unsp__DemoEnableFeatureSetRequest | DemoEnableFeatureSetRequest,
|  | struct unsp__DemoEnableFeatureSetResult * | DemoEnableFeatureSetResult
| ) |  |

This method enables the BUY features of a feature set for demo.

Parameters

  DemoEnableFeatureSetRequest | API request
  DemoEnableFeatureSetResult | API result

## ◆ unsp__DemoGetStatus()

unsp__DemoGetStatus | ( | struct unsp__DemoGetStatusRequest | DemoGetStatusRequest,
|  | struct unsp__DemoGetStatusResult * | DemoGetStatusResult
| ) |  |

This method retrieves the status of demo period.

Parameters

  DemoGetStatusRequest | API request
  DemoGetStatusResult | API result

## ◆ unsp__GetDBRole()

unsp__GetDBRole | ( | struct unsp__GetDBRoleRequest | GetDBRoleRequest,
|  | struct unsp__GetDBRoleResult * | GetDBRoleResult
| ) |  |

This method retrieves the Database role of the queried Openscape Voice Node.

Parameters

  GetDBRoleRequest | API request
  GetDBRoleResult | API result

## ◆ unsp__GetFeatureList2()

unsp__GetFeatureList2 | ( | struct unsp__GetFeatureListRequest | GetFeatureListRequest,
|  | struct unsp__GetServiceFeatureListResult * | FeatureListResult
| ) |  |

Obtains the list of features enabled on the system for a specified category.

Parameters

  GetFeatureListRequest | API request
  FeatureListResult | API result

## ◆ unsp__GetLicenseUsageData()

unsp__GetLicenseUsageData | ( | struct unsp__GetLicenseUsageDataRequest | GetLicenseUsageDataRequest,
|  | struct unsp__GetLicenseUsageDataResult * | GetLicenseUsageDataResult
| ) |  |

This method retrieves the Usage Data of Voice and Mobile Licensing.

Parameters

  GetLicenseUsageDataRequest | API request
  GetLicenseUsageDataResult | API result

## ◆ unsp__GetLicensingInfo()

unsp__GetLicensingInfo | ( | struct unsp__GetLicensingInfoRequest | GetLicensingInfoRequest,
|  | struct unsp__GetLicensingInfoResult * | GetLicensingInfoResult
| ) |  |

This method displays licensing information.

- Licensing Information on the OpenScape Voice system for Dynamic Session licenses. It controls the number of SIP subscribers that are concurrently registered in the system.
- Licensing Information on the OpenScape Voice system for OSMO licenses. It controls the number of mobile devices subscribed to the system.
- Licensing Information on the OpenScape Voice system for SUSE SLES.

Parameters

  GetLicensingInfoRequest | API request
  GetLicensingInfoResult | API result

## ◆ unsp__GetLogFiles()

unsp__GetLogFiles | ( | struct unsp__GetLogFilesRequest | GetLogFilesRequest,
|  | struct unsp__GetLogFilesResult * | GetLogFilesResult
| ) |  |

This method returns the requested Log File attached the SOAP response.

Parameters

  GetLogFilesRequest | API request
  GetLogFilesResult | API result

## ◆ unsp__GetOpMode()

int unsp__GetOpMode | ( | struct unsp__GetOpModeRequest | GetOpModeRequest,
|  | struct unsp__GetOpModeResult * | GetOpModeResult
| ) |  |

This method returns the own node and partner node Operation Mode state of a cluster system.

Parameters

  GetOpModeRequest | API request
  GetOpModeResult | API result

## ◆ unsp__GetOSMOData()

unsp__GetOSMOData | ( | struct unsp__GetOSMODataRequest | GetOSMODataRequest,
|  | struct unsp__GetOSMODataResult * | GetOSMODataResult
| ) |  |

This method retrieves Openscape Mobile (OSMO) data for the specified ONS Subscriber.

Note
  This method is supported only by the SSL enabled instances of Openscape Voice SOAP Server.

Parameters

  GetOSMODataRequest | API request
  GetOSMODataResult | API result

## ◆ unsp__GetStatusOfBuyFeatures()

unsp__GetStatusOfBuyFeatures | ( | struct unsp__GetStatusOfBuyFeaturesRequest | GetStatusOfBuyFeaturesRequest,
|  | struct unsp__GetStatusOfBuyFeaturesResult * | GetStatusOfBuyFeaturesResult
| ) |  |

This method retrieves the status of BUY features.

Parameters

  GetStatusOfBuyFeaturesRequest | API request
  GetStatusOfBuyFeaturesResult | API result

## ◆ unsp__GetSupportedLanguageList()

unsp__GetSupportedLanguageList | ( | struct unsp__GetSupportedLanguageListResult * | LanguageListResult | ) |

This method is used to retrieve and display language information, including the list of languages supported on the system.

Parameters

  LanguageListResult | API result

## ◆ unsp__GetSystemInfo()

unsp__GetSystemInfo | ( | struct unsp__GetSystemInfoRequest | GetSystemInfoRequest,
|  | struct unsp__GetSystemInfoResult * | GetSystemInfoResult
| ) |  |

This method is used in order to retrieve basic information of the system such as CPU, memory usage and if the system is virtualized or not.

Parameters

  GetSystemInfoRequest | API request
  GetSystemInfoResult | API result

## ◆ unsp__GetVersion2()

unsp__GetVersion2 | ( | struct unsp__GetVersionRequest | GetVersionRequest,
|  | struct unsp__GetVersionResult * | GetVersionResult
| ) |  |

Returns build and release information such that the user of this interface may know what interface methods are available on the system.

Parameters

  GetVersionRequest | API request
  GetVersionResult | API result

## ◆ unsp__IsUpgradeAllowed()

unsp__IsUpgradeAllowed | ( | struct unsp__IsUpgradeAllowedRequest | IsUpgradeAllowedRequest,
|  | struct unsp__IsUpgradeAllowedResult * | IsUpgradeAllowedResult
| ) |  |

This method displays if Upgrade is allowed based on active Licenses.

Parameters

  IsUpgradeAllowedRequest | API request
  IsUpgradeAllowedResult | API result

## ◆ unsp__ModifyOpMode()

unsp__ModifyOpMode | ( | struct unsp__ModifyOpModeRequest | ModifyOpModeRequest,
|  | struct unsp__ModifyOpModeResult * | ModifyOpModeResult
| ) |  |

This method allows the manual modification of the the operation mode of a node in a cluster system if the two nodes cannot communicate with one another over the cross-channel.

Parameters

  ModifyOpModeRequest | API request
  ModifyOpModeResult | API result